# -*- coding: utf-8 -*-
# Tracer un graphe de fonction par approximation
# (programme de seconde)
#  F. Goichot, novembre 2017

from dessin2d import * 

def g(x):
    '''la fonction qu'on veut représenter'''
    return(2*x*x-3*x+1)
    
def graphe(f,a,b,n):
    '''représente la fonction f entre a et b avec n points'''
    h = (b-a)/n # longueur de chaque segment
    x = a 
    for i in range(n):
        segment(x,f(x),x+h,f(x+h))
        x = x+h
    affiche()
    
graphe(g,-2,3,6)